Skip to main content
GET
/
api
/
v1
/
workflows
/
{workflow_id}
/
notifications
/
channels
/
{channel_id}
Get Workflow Channel
curl --request GET \
  --url https://platform.unstructuredapp.io/api/v1/workflows/{workflow_id}/notifications/channels/{channel_id}
{
  "id": "<string>",
  "event_types": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>",
  "channel_type": "webhook",
  "description": "<string>"
}

Headers

unstructured-api-key
string | null

Path Parameters

workflow_id
string<uuid>
required
channel_id
string
required

Response

Successful Response

Response for webhook notification channel.

id
string
required

Channel ID

event_types
string[]
required

Subscribed event types

enabled
boolean
required

Channel enabled status

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

url
string
required

Webhook endpoint URL

channel_type
string
default:webhook
Allowed value: "webhook"
description
string | null

Channel description